E.14. Postgres Pro Standard 9.6.10.2

Release date: 2018-09-17

E.14.1. Overview

This release is based on Postgres Pro Standard 9.6.10.1 and provides the following bug fixes:

  • Updated pg_pathman module to version 1.4.14 to improve stability.

  • Fixed pgpro_upgrade script for Red Hat Enterprise Linux and SUSE systems so that it can be launched using a relative path.

  • On Debian-based systems, library packages libecpg-compat3, libecpg6, libecpg-dev, libpgtypes3, libpq5, libpq-dev provided with Postgres Pro Standard got renamed and now have a postgrespro- prefix. When upgrading from a previous version of Postgres Pro Standard, run apt-get dist-upgrade to handle this change in an automated way, or install the new packages manually.

E.14.2. Migration to Version 9.6.10.2

Depending on your current installation, the upgrade procedure will differ.

To upgrade from a Postgres Pro Standard version based on any previous PostgreSQL major release, make sure you have installed its latest minor version, and then perform a dump/restore using pg_dumpall or use the pg_upgrade utility.

To upgrade from a Postgres Pro Standard version based on the same PostgreSQL major release, a dump/restore is not required.

When upgrading from versions 9.6.8.2 or lower, you must call the REINDEX command for indexes that used mchar or mvarchar types.

If you are upgrading from Postgres Pro Standard 9.6.7.1 or lower, you must also use the pgpro_upgrade script provided in this distribution. This script updates metadata information to handle catalog number format change introduced after Postgres Pro Standard 9.6.4.1, as well as rename the pgpro_build function to pgpro_source_id. If you are upgrading your Postgres Pro installation from a binary package, the pgpro_upgrade script is run automatically, unless you are prompted to run it manually.

Note

If you run pgpro_upgrade manually, you must stop postgres service. The script must be run on behalf of the user owning the database (typically postgres). Running pgpro_upgrade as root will result in an error. For details, see pgpro_upgrade.

If you have compiled Postgres Pro from source code or created your database in a non-default location, you must run the pgpro_upgrade script manually.

Note

On RPM-based Linux distributions, if you are upgrading from version 9.6.2.1 or lower, make sure to move the data directory from pgsql to the pgpro directory before running the pgpro_upgrade script.

To migrate from vanilla PostgreSQL 9.6.x, perform a dump/restore using pg_dumpall.